﻿using System;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        [STAThread]
        private static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            MainForm mainForm = new MainForm();

            LowLevelKeyboardHook keyboardHook = new LowLevelKeyboardHook();

            keyboardHook.KeyPressed += (sender, e) => mainForm.DisplayMessage(e);

            keyboardHook.HookKeyboard();

            Application.Run(mainForm);

            keyboardHook.UnHookKeyboard();
        }

        #endregion
    }
}